#include <stdio.h>
// TODO: Include the approriate headers
char* concat(char* first, char* second)
{
    // TODO: allocate memory and copy both strings to it 
}
int main(int argc, const char *argv[])
{
    char hello[] = "Hello";
    char world[] = "World!";

    char* out = concat(hello, world);
    printf("%s", out);

    // Don't forget to free the memory
}
